Productsup

Create an export template attribute tag

An export template attribute tag is metadata of an export template attribute. This endpoint allows the creation of an export template attribute tag.

POST
/V1/export-templates/{templateId}/attributes/{exportFieldId}/attribute-tags

Authorization

bearerAuth
AuthorizationBearer <token>

ProductsUp Keycloak JWT bearer token.

In: header

Path Parameters

templateId*string

Export template id.

exportFieldId*string

Export Template Attribute id.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://export-template-api.productsup.com/V1/export-templates/string/attributes/string/attribute-tags" \  -H "Content-Type: application/json" \  -d '{    "key": "some key",    "value": "some value"  }'
{
  "data": {
    "id": 1247744,
    "key": "some key",
    "value": "some value"
  }
}
{
  "errors": {
    "message": "Request validation has encountered constraint violations.",
    "errors": {
      "key": [
        "This field is missing."
      ],
      "value": [
        "This field is missing."
      ]
    }
  }
}
{
  "errors": {
    "message": "Resource access denied."
  }
}
{
  "errors": {
    "message": "Export template with id 123 not found."
  }
}